<?php		
/*
 * @version $Id: mod_joomleague_games_updates.php 1126 2008-06-09 05:45:04Z julienv $
 * @package Joomleague
 * @subpackage gamesupdates
 * @copyright Copyright (C) 2007  JoomLeague
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see _joomleague_license.txt
 *  
**********************************************
JoomLeague latest results update Module
Copyright (c) 2007 JoomLeague.de
**********************************************
This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 2 of the License, or 
(at your option) any later version.

This header must not be removed. Additional contributions/changes
may be added to this header as long as no information is deleted.
**********************************************

* Latest results update MODULE
*
* 2008-01-08 - Version 0.93
*
* Module for displaying latest updated games for selected Projects 
* There are some options for this module, which can be set in the 
* "Parameters" section of the module in Administration.
*

**********************************************
Get the latest version of JoomLeague at:
http://http://www.joomleague.de//
**********************************************
*/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_offset;

if (file_exists($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php')) {
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php');
} 
else{
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/english.php');
}

require_once ($mosConfig_absolute_path.'/administrator/components/com_joomleague/joomleague.class.php');

// GET Parameters from backend settings
$p               = $params->get('project'); //default 0
$template        = $params->get('template');     // display type

$show_pics       = $params->get('show_picture'); //default 0
$show_link       = $params->get('show_link'); //default 0
$show_playground = $params->get('show_playground');
$show_project    = $params->get('show_project');
$show_round      = $params->get('show_round');
$show_time       = $params->get('show_time');
$date_format     = $params->def('date_format', '%d/%m/%y');
$report_link     = $params->get('report_link');
$project_link     = $params->get('project_link');

$team            = $params->get('team');
$use_project_fav = $params->get('use_project_fav');

$name_type       = $params->get('names');
$logo_type       = $params->get('logo_type');
$playground_name = $params->get('playground_name');

// game selection. limit to 10 if not specified
$limit           = $params->def('limit', 10);

// END of getting parameters

$favtemp = array();
if ($use_project_fav==1) {	
	// get favorote teams for each project
  $query = "SELECT fav_team FROM #__joomleague WHERE id IN ($p)";
  $database->setQuery($query);
  
  // put the teams ids in $favtemp array
  foreach ($database->loadResultArray() as $fav) {
  	if ( $fav != '' ) $favtemp = array_merge($favtemp, explode(",", $fav));
  }
  // generate list of favorite teams
  $favteam = implode(",", $favtemp);
}
else {
  $favteam = $team;
  if ( $favteam != '' ) {
	  $favtemp=explode(",", $favteam);
	}
}

$lastdate = '';
$lasttime = '';
$lastname = '';

  $query = "SELECT m.match_date AS datum, m.matchpart2 AS away,
                   m.matchpart1 AS home,
                   m.*,
                   r.matchcode, r. name as round_name,
                   t1.$name_type AS home_name,
                   t2.$name_type AS away_name,
                   c1.$logo_type AS home_logo,
                   c2.$logo_type AS away_logo,
                   j.name AS project_name";
  if ($show_playground) {
  	$query .= ", p.$playground_name AS playground";
  }
  
  $query .= " FROM #__joomleague_matches AS m
              LEFT JOIN #__joomleague AS j ON m.project_id = j.id
              LEFT JOIN #__joomleague_rounds AS r ON m.round_id = r.id
              LEFT JOIN #__joomleague_teams AS t1 ON m.matchpart1 = t1.id
              LEFT JOIN #__joomleague_teams AS t2 ON m.matchpart2 = t2.id
              LEFT JOIN #__joomleague_clubs AS c1 ON t1.club_id = c1.id
              LEFT JOIN #__joomleague_clubs AS c2 ON t2.club_id = c2.id";
  
  if ($show_playground) {
    $query .= " LEFT JOIN #__joomleague_playgrounds AS p ON m.playground_id = p.id";
  }
  
	$query .= " WHERE m.project_id IN ($p)";
  
  if ( count($favtemp) ) {
  	$query .= " AND ( m.matchpart1 IN ($favteam) OR m.matchpart2 IN ($favteam))";
  }
  $query .= " ORDER by m.modified DESC";
  
  if (intval($limit)) {
  	$query .= " LIMIT 0, $limit";
  }
  $database->setQuery($query);
  if (!$matches = $database->loadObjectList() and 0) echo $database->getErrorMsg();
  //print_r("<pre>".$database->getQuery()."</pre>");
  //print_r($matches);exit;
  
  if ( count($matches) > 0 ) {  
    ?>
    <table width="96%" align="center" border="0" cellpadding="3" cellspacing="0">
    <?php    
    $colspan = 4;
    if ($show_playground) $colspan++;
    if ($show_pics) $colspan+=2;
    if ($show_project) $colspan++;
    if ($show_date) $colspan++;
    if ($show_time) $colspan++;
    if ($show_round) $colspan++;
    
    foreach($matches as $match) {
      ?>
      <tr class="sectiontableentry1" valign="middle">
      <?php
      if ($show_playground) {
        echo '<td>';
        echo $match->playground;
        echo "</td>";
      }      
      if ($show_date) {
	      echo '<td>';
	      echo mosFormatDate($match->match_date, $date_format, 0);
	      echo "</td>";
      }
      if ($show_time) {
	      echo '<td>';
	      echo substr( $match->match_date, 11, 5 );
	      echo "</td>";
      }
	    if ($show_project) {
	    	echo '<td nowrap="nowrap">';
	    	if ($project_link) {
          echo '<a href="?option=com_joomleague&func='.$project_link.'&p='.$match->project_id.'">';
        }
	      echo $match->project_name;
	      if ($project_link) {
          echo '</a>';
	      }
	      echo "</td>";
	    }
	    if ($show_round) {
	    	echo '<td nowrap="nowrap">';
	    	echo '<a href="?option=com_joomleague&func=showResults&p='.$match->project_id.'&r='.$match->matchcode.'">';
	      echo $match->round_name;
	      echo '</a>';
	      echo "</td>";
	    }
	    if ($show_pics) {
        echo '<td>';
        echo '<img src="'.$match->home_logo.'" width="21"/>&nbsp; ';
        echo '</td>';
      }
      echo '<td nowrap="nowrap">';	      
      echo $match->home_name;
      echo "</td>";
      echo '<td nowrap="nowrap">';
      if ($report_link) {
        echo '<a href="?option=com_joomleague&func=showReport&p='.$match->project_id.'&mid='.$match->match_id.'">';
      }
      echo $match->matchpart1_result.'-'.$match->matchpart2_result;
      if ($report_link) {
        echo '</a>';
      }
      echo '</td>';
      echo '<td nowrap="nowrap">';
      echo $match->away_name;
      echo "</td>";
      if ($show_pics) {
        echo '<td>';
        echo '<img src="'.$match->away_logo.'" width="21"/>&nbsp; ';
        echo '</td>';
      }
      ?>
      </tr>
      <?php
    }
    ?>
    </table>
    <?php
} 
else {
  echo "no game updated";
}
?>
</div>
